clang-tools 6.0.0

Namespaces | Typedefs | Functions
ClangTidy.cpp File Reference
`#include "ClangTidy.h"`
`#include "ClangTidyDiagnosticConsumer.h"`
`#include "ClangTidyModuleRegistry.h"`
`#include "clang/AST/ASTConsumer.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Frontend/ASTConsumers.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Frontend/FrontendDiagnostic.h"`
`#include "clang/Frontend/MultiplexConsumer.h"`
`#include "clang/Frontend/TextDiagnosticPrinter.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Rewrite/Frontend/FixItRewriter.h"`
`#include "clang/Rewrite/Frontend/FrontendActions.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/PathDiagnostic.h"`
`#include "clang/StaticAnalyzer/Frontend/AnalysisConsumer.h"`
`#include "clang/Tooling/DiagnosticsYaml.h"`
`#include "clang/Tooling/Refactoring.h"`
`#include "clang/Tooling/ReplacementsYaml.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/Process.h"`
`#include "llvm/Support/Signals.h"`
`#include <algorithm>`
`#include <utility>`
Include dependency graph for ClangTidy.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy

## Typedefs
typedef std::vector< std::pair< std::string, bool > > | clang::tidy::CheckersList

## Functions
static void | clang::tidy::setStaticAnalyzerCheckerOpts (const ClangTidyOptions &Opts, AnalyzerOptionsRef AnalyzerOptions)
static CheckersList | clang::tidy::getCheckersControlList (ClangTidyContext &Context)
std::vector< std::string > | clang::tidy::getCheckNames (const ClangTidyOptions &Options)
| Fills the list of check names that are enabled when the provided filters are applied. More...
ClangTidyOptions::OptionMap | clang::tidy::getCheckOptions (const ClangTidyOptions &Options)
| Returns the effective check-specific options. More...
void | clang::tidy::runClangTidy (clang::tidy::ClangTidyContext &Context, const CompilationDatabase &Compilations, ArrayRef< std::string > InputFiles, ProfileData *Profile)
void | clang::tidy::handleErrors (ClangTidyContext &Context, bool Fix, unsigned &WarningsAsErrorsCount)
| Displays the found `Errors` to the users. More...
void | clang::tidy::exportReplacements (const llvm::StringRef MainFilePath, const std::vector< ClangTidyError > &Errors, raw_ostream &OS)